summaryrefslogtreecommitdiffstats
path: root/libraries/libgnomeprint
diff options
context:
space:
mode:
author Martin Lefebvre <dadexter@sekurity.com>2010-05-11 14:56:19 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:56:19 +0200
commit9d136314befdef078a9e42c8c5a480f94836d6e9 (patch)
treeb52a898a11bf94e16a2a15d7343ea9bdf33a2b41 /libraries/libgnomeprint
parentd9b562cfb290481fc09aefed586a54bb102d56d3 (diff)
downloadslackbuilds-9d136314befdef078a9e42c8c5a480f94836d6e9.tar.gz
slackbuilds-9d136314befdef078a9e42c8c5a480f94836d6e9.tar.xz
libraries/libgnomeprint: Initial import
Diffstat (limited to 'libraries/libgnomeprint')
-rw-r--r--libraries/libgnomeprint/README7
-rw-r--r--libraries/libgnomeprint/libgnomeprint.SlackBuild76
-rw-r--r--libraries/libgnomeprint/libgnomeprint.info8
-rw-r--r--libraries/libgnomeprint/slack-desc11
4 files changed, 102 insertions, 0 deletions
diff --git a/libraries/libgnomeprint/README b/libraries/libgnomeprint/README
new file mode 100644
index 0000000000..e3cf01a399
--- /dev/null
+++ b/libraries/libgnomeprint/README
@@ -0,0 +1,7 @@
+The Gnome Printing Library
+
+This is an implementation of the Gnome Printing Architecture
+as described at: http://www.levien.com/gnome/print-arch.html
+
+Requires libgnomecups which is also available from slackbuilds.org
+
diff --git a/libraries/libgnomeprint/libgnomeprint.SlackBuild b/libraries/libgnomeprint/libgnomeprint.SlackBuild
new file mode 100644
index 0000000000..4f053438ba
--- /dev/null
+++ b/libraries/libgnomeprint/libgnomeprint.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for libgnomeprint
+
+# Copyright 2007 Martin Lefebvre <dadexter@sekurity.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=libgnomeprint
+VERSION=2.18.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-static=no \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BUGS COPYING* ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/usr/doc/$PRGNAM-$VERSION
+ ln -s ../../share/gtk-doc/html/libgnomeprint html
+)
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libgnomeprint/libgnomeprint.info b/libraries/libgnomeprint/libgnomeprint.info
new file mode 100644
index 0000000000..dd10bc634f
--- /dev/null
+++ b/libraries/libgnomeprint/libgnomeprint.info
@@ -0,0 +1,8 @@
+PRGNAM="libgnomeprint"
+VERSION="2.18.0"
+HOMEPAGE="http://www.gnome.org"
+DOWNLOAD="http://ftp.gnome.org/pub/gnome/sources/libgnomeprint/2.18/libgnomeprint-2.18.0.tar.bz2"
+MD5SUM="5bfc42d67cae1148d1faf238185cbf4d"
+MAINTAINER="Martin Lefebvre"
+EMAIL="dadexter@sekurity.com"
+APPROVED="rworkman"
diff --git a/libraries/libgnomeprint/slack-desc b/libraries/libgnomeprint/slack-desc
new file mode 100644
index 0000000000..812405c6c4
--- /dev/null
+++ b/libraries/libgnomeprint/slack-desc
@@ -0,0 +1,11 @@
+libgnomeprint: The Gnome Printing Library
+libgnomeprint:
+libgnomeprint: This is an implementation of the Gnome Printing Architecture
+libgnomeprint: as described at: http://www.levien.com/gnome/print-arch.html
+libgnomeprint:
+libgnomeprint:
+libgnomeprint:
+libgnomeprint:
+libgnomeprint:
+libgnomeprint:
+libgnomeprint: